/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

:root {
  --wp--preset--font-size--small: 16px;
}

:root :where(.wp-element-button, .wp-block-button__link) {
  background-color: var(--e-global-color-accent);
  font-family: var(--e-global-typography-accent-font-family), Sans-serif;
  font-weight: var(--e-global-typography-accent-font-weight);
  text-transform: var(--e-global-typography-accent-text-transform);
  font-size: var(--e-global-typography-7b0ce6d-font-size);
  border-style: none;
  border-radius: 0px 0px 0px 0px;
  padding: 16px 30px 16px 30px;
  color: var(--e-global-color-84416e0) !important;
}


:root :where(.wp-element-button, .wp-block-button__link):hover {
  background-color: var(--e-global-color-secondary);
}



.otgs-development-site-front-end,
.grecaptcha-badge {
	display: none !important;
}

.swiper:has(.swiper-wrapper):has(.swiper-slide:only-of-type) ~ .elementor-swiper-button {
	display: none !important;
}

@media (max-width:1024px) {
  .remove-tablet-br br {
    display: none;
  }
}

@media (max-width:767px) {
	.remove-mobile-br br {
		display: none;
	}
}

.full-box-link {
  cursor: pointer;
}

.elementor-heading-title {
  line-height: 1.3;
}




/* wpml */

.wpml-desktop .sub-menu {
  min-width: 100px !important;
}


.elementor-nav-menu > .wpml-ls-menu-item * {
  font-size: 14px;
}

.wpml-mobile .elementor-nav-menu > .wpml-ls-menu-item > a:before,
.wpml-mobile .elementor-nav-menu > .wpml-ls-menu-item > a:after {
  content:' ';
  width:20px;
  height: 20px;
  background-size: 20px 20px;
  background-repeat: no-repeat;
  background-position: center left;
  left:0;
  transition: .4s !important;
}

.wpml-mobile .elementor-nav-menu > .wpml-ls-menu-item > a:before {
  background-image:url('assets/img/icon-world.svg');
  opacity: 1 !important;
}

.wpml-mobile .elementor-nav-menu > .wpml-ls-menu-item > a:after {
  background-image:url('assets/img/icon-world-accent.svg');
}

.elementor-nav-menu > .wpml-ls-menu-item:hover > a:after{
  opacity: 1 !important;
}

.wpml-mobile .wpml-ls  * {
  font-weight: 500;
}

.wpml-mobile .wpml-ls {
  background-size: 22px 22px;
  background-repeat: no-repeat;
  background-position: center left;
  background-image:url('assets/img/icon-world.svg');
}

.elementor-nav-menu > .wpml-ls-menu-item > a,
.wpml-mobile .wpml-ls {
  padding-left:32px !important;
  
}



.e-off-canvas .hide-on-off-canvas {
  display: none !important;
}

.hide-wpml-menu .wpml-ls-menu-item {
  display: none !important;
}


.wpml-mobile * {
  color: var(--e-global-color-23cd66c);
}

.wpml-mobile .wpml-ls {
  background-size: 30px 30px;
}





/* header */

header .elementor-nav-menu a {
	text-transform: uppercase;
    font-weight: 700 !important;
    font-size: 15px !important;
}




/* menu */
.menu-submenu li {
  padding-left:0 !important;
  padding-right: 0 !important;
}

.menu-submenu a {
  font-weight: 500 !important;
  padding:15px 20px;
  border-radius: 15px;
}

.menu-submenu li:hover a {
  background-color:var(--e-global-color-d2a0dfd);
}


@media (max-width:1110px) {
  header .e-n-menu-item  {
	--n-menu-title-space-between:0;
  }
  
  header .e-n-menu-title {
	--n-menu-title-padding:0.5rem 0.4rem;
  }
}


nav .only-icon .elementor-icon {
  background: transparent;
  height: 25px;
  line-height: 25px;
}

ul.elementor-nav-menu--dropdown a {
  border-inline-start:0 !important;
}


@media (min-width:1024px) and (max-width:1200px) {
  header .menu-desktop .menu-item-home {
    display: none !important;
  }
  
  header .container-logo {
    max-width:160px;
  }
  

}



/* off canvas */

header .e-off-canvas .e-off-canvas__content {
  padding-top:80px !important;
}

header .e-off-canvas  {
  z-index: 10 !important;
}





/* toggle off canvas */

.toggle-off-canvas  {
  margin-right: -10px;
}

.toggle-off-canvas .ham {
  cursor: pointer;
  -webkit-tap-highlight-color: transparent;
  transition: transform 400ms;
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.toggle-off-canvas .elementor-icon[aria-expanded="true"] .hamRotate {
  transform: rotate(45deg);
}

.toggle-off-canvas .line {
  fill:none;
  transition: stroke-dasharray 400ms, stroke-dashoffset 400ms;
  stroke:var(--e-global-color-text);
  stroke-width:5.5;
  stroke-linecap:round;
}

.toggle-off-canvas .ham8 .top {
  stroke-dasharray: 40 160;
}
.toggle-off-canvas .ham8 .middle {
  stroke-dasharray: 40 142;
  transform-origin: 50%;
  transition: transform 400ms;
}
.toggle-off-canvas .ham8 .bottom {
  stroke-dasharray: 40 85;
  transform-origin: 50%;
  transition: transform 400ms, stroke-dashoffset 400ms;
}
.toggle-off-canvas .elementor-icon[aria-expanded="true"] .ham8 .top {
  stroke-dashoffset: -64px;
}
.toggle-off-canvas .elementor-icon[aria-expanded="true"] .ham8 .middle {
  transform: rotate(90deg);
}
.toggle-off-canvas .elementor-icon[aria-expanded="true"] .ham8 .bottom {
  stroke-dashoffset: -64px;
}




/* mobile menu */
.mobile-menu .elementor-nav-menu ul {
  padding-left:30px;
}

.mobile-menu .elementor-nav-menu a.has-submenu {
  background-image:url('assets/img/chevron-down-arrow.svg');
  background-size: 20px auto;
  background-position: right center;
  background-repeat: no-repeat;
  padding-right: 30px;
}

.mobile-menu .elementor-nav-menu a[aria-expanded="true"].has-submenu {
  background-image:url('assets/img/chevron-up-arrow.svg');
}



/* footer */

@media (max-width:767px) {
  .menu-links .elementor-icon-list-items {
	flex-direction: column;
	gap:16px;
  }    
}


footer .elementor-social-icons-wrapper .elementor-grid-item:nth-child(1),
footer .elementor-social-icons-wrapper .elementor-grid-item:nth-child(3) {
    display: none !important;
}





/* links */

.btn-link-arrow .elementor-button {
  padding:0 !important;
  background-color: transparent !important;
  border:0 !important;
  border-radius: 0 !important;
}


.btn-link-arrow .elementor-button .elementor-button-text {
  position: relative;
  display: flex;
  align-items: center;
  text-transform: none !important;
  font-weight: 800 !important;
  font-size: 16px !important;
}

.btn-link-arrow .elementor-button .elementor-button-text:after,
.btn-link-arrow .elementor-button .elementor-button-text:before {
  transition: all 0.4s cubic-bezier(0.68, -0.55, 0.27, 1.55);
}


.btn-link-arrow .elementor-button .elementor-button-text:after {
  display: inline-block;
  content:' ';
  /*position: absolute;*/
  width: 30px;
  height: 2px;
  background-color:currentcolor;
  margin-left:8px;
  /*left: 100%;*/
}

.btn-link-arrow .elementor-button .elementor-button-text:before {
  content:' ';
  width:8px;
  height: 8px;
  border-top:2px solid currentcolor;
  border-right:2px solid currentcolor;
  transform: translateY(-50%) rotate(45deg);
  transform-origin: -4px -2px;
  order:3;
}

.btn-link-arrow .elementor-button:hover .elementor-button-text:after {
    width:50px;  
}




/* forms */

form .elementor-field-option {
  display: flex;
  gap:10px;
  align-items: flex-start;

}

form .elementor-field-option input {
  margin-top:2px;
  min-width:20px;
  height: 20px;
  padding:0 !important;
  appearance: none;
  border: 1px solid var(--e-global-color-text);
}

form .elementor-field-option input:checked {
  background-color: var(--e-global-color-primary) !important;
}

form .elementor-field-option a {
  color:inherit;
  text-decoration: underline;
}

form .elementor-field-option a:hover {
  color:inherit;
  text-decoration: none;
}

form .elementor-field-option label {
  padding-top:4px;
}

@media (min-width:1125px) {
  form .elementor-field-option label {
	font-size: 16px !important;
  }
}

@media (max-width:1124px) {
  form .elementor-field-option label {
	font-size: 16px !important;
  }
}

form .elementor-field-type-acceptance > label {
  display: none;
  
}


/* agenda */
.agenda .e-n-tab-title-text {
  flex-direction: column;
  align-items: flex-start;
}
.agenda .e-n-tab-title-text span {
  font-weight: 400;
}

.agenda .e-n-tabs-content strong,
.agenda .e-n-tabs-content b {
  font-weight: 800;
}

@media (min-width:1024px) {
  .agenda .e-n-tabs-content strong,
  .agenda .e-n-tabs-content b {
    font-size: 18px;
  }

}

.agenda .e-n-tabs-content p {
  margin-bottom:5px;
}

.agenda .e-n-tabs-content .e-con-inner {
  flex-direction: row;
  gap:30px;
}

@media (max-width:767px) {
 .agenda .e-n-tabs-content .e-con-inner {
   gap:10px;
   flex-direction: column;
 } 
}

.agenda .e-n-tabs-content .elementor-widget-heading {
  min-width: 140px;
}

.agenda .e-n-tabs-content .elementor-heading-title {
  color: var(--e-global-color-text);
  font-size: 14px;
  padding-top:4px;
  
}

.agenda .e-n-tabs-content a,
.agenda .e-n-tabs-content a strong {
  color: var(--e-global-color-accent);
}

@media (min-width:768px) {
  .agenda .e-n-tabs-content .elementor-heading-title {
    font-weight: 400;
  }
}

@media (max-width:767px) {
  .agenda .e-n-tabs-content .elementor-heading-title {
    display: flex;
    gap:6px;
  }
  .agenda .e-n-tabs-content .elementor-heading-title:before {
    content:'';
    width:30px;
    border-bottom:1px solid var(--e-global-color-text);
    display: block;
    height: 1px;
    align-self: center;
  }
}


/* planes */
.plan,
.plan .elementor-price-table {
  height: 100%;
}

.plan .elementor-price-table {
  display: flex;
  flex-direction: column;
}

.plan .elementor-price-table .elementor-price-table__footer {
  margin-top:auto;
}

.plan .elementor-price-table .elementor-price-table__features-list svg {
  height: 14px;
  width: 14px;
  flex-shrink: 0;
  margin-top:3px;
  fill:var(--e-global-color-accent);
  margin-inline-end:0;
}

.plan .elementor-price-table .elementor-price-table__feature-inner {
  display: flex;
  gap:16px;
}

.plan .elementor-price-table__features-list {
  display: flex;
  flex-direction: column;
  gap:20px;
}

.plan .elementor-price-table .elementor-price-table__features-list li:not(:first-child):before {
  display: none;
}




/* page header */
.page-header {
  transition: none !important;
}




/* event */
._layout_info_xs.date-list-item {
  background:transparent !important;
  
}

div.event_date_list_area .date_item::before {
  display: none !important;
}

div.event_date_list_area .date_item {
  padding-left:0 !important;
}

div.event_date_list_area .date-list-item {
  border-radius: 0 !important;
}

div.mpwem_style [class*="_layout_"][class*="_xs"] {
  padding:0 !important;
}

.mpwem_registration_area .date-time-header,
.mpwem_registration_area .mpwem_booking_panel .mpwem_ticket_type, 
.mpwem_registration_area .mpwem_booking_panel .mpwem_ex_service,
div.mpwem_form_submit_area {
  border-radius: 0 !important;

}

.mpwem_registration_area .mpwem_booking_panel .mpwem_ticket_type .card-body .mep_ticket_item:last-child .ticket-data, 
.mpwem_registration_area .mpwem_booking_panel .mpwem_ex_service .card-body .mep_ticket_item:last-child .ticket-data {
  border:0 !important;
}


div.mpwem_style [class*="_button_theme"] {
  border-radius: 0 !important;
  background-color: var(--e-global-color-accent) !important;
  font-family: var(--e-global-typography-accent-font-family), Sans-serif !important;
  font-weight: var(--e-global-typography-accent-font-weight) !important;
  text-transform: var(--e-global-typography-accent-text-transform) !important;
  border-style: none !important;
  border-radius: 0px 0px 0px 0px !important;
  padding: 16px 30px 16px 30px !important;
  font-size: var(--e-global-typography-7b0ce6d-font-size) !important;
}




/* woocommerce */
.woocommerce-thankyou-order-received {
  font-size: 32px;
  margin: 0 0 60px 0;
  text-align: center;
  font-weight: 700;
}

.woocommerce ul.order_details {
    padding:0;
}

.woocommerce-order h2 {
  font-size: 20px;
}

.woocommerce-order h3 {
  font-size: 16px;
}

div.woocommerce td.product-name {
  font-size: 16px !important;
  color: var(--e-global-color-text) !important;
}

.wc-block-checkout__add-note {
    display: none !important;
}


.wc-block-checkout__terms.wc-block-checkout__terms--with-separator {
  border-top:0 !important;
}

.wc-block-checkout__terms a {
  text-decoration: underline;
}

.wc-block-checkout__actions_row .wc-block-components-checkout-return-to-cart-button {
  display: none !important;
}

.wc-block-components-order-summary-item__image {
  display: none !important;
}

.wc-block-components-order-summary .wc-block-components-order-summary-item__description {
  padding-left:0 !important;
}

.wc-block-components-product-details__name {
  display: none !important;
}

.wc-block-components-product-details__value .entrada {
  display: block;
}

.wc-block-components-product-details__value .woocommerce-Price-amount:first-child {
  display: none !important;
}

.wc-block-components-order-summary-item__individual-prices {
  display: none !important;
}